# CyclesCurveSettings(PropertyGroup)

base classes — `bpy_struct`, `PropertyGroup`

class `bpy.types.``CyclesCurveSettings`(PropertyGroup)
  `radius_scale`

    Multiplier of width properties

    Type: | float in [0, 1000], default 0.01

  `root_width`

    Strand’s width at root

    Type: | float in [0, 1000], default 1.0

  `shape`

    Strand shape parameter

    Type: | float in [-1, 1], default 0.0

  `tip_width`

    Strand’s width at tip

    Type: | float in [0, 1000], default 0.0

  `use_closetip`

    Set tip radius to zero

    Type: | boolean, default True

Inherited Properties

`bpy_struct.id_data` | `PropertyGroup.name`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ParticleSettings.cycles` |